<?php

// Página
$direct = 'qrcode';

// Checa se o usuário possui acesso na página
Util::verificaAcesso('cms-' . $direct, 'editar', '?i=cms-' . $direct);

$obj = Qrcode::buscar(@$_GET['id']);

if (!$obj) {
    Message::error('Registro não encontrado.');
    Util::redirect(Util::baseUrl() . 'cms/?i=cms-' . $direct);
}

// Mensagem de Retorno
require_once $GLOBALS['baseDir'] . 'includes/mensagens.php';

// Modal excluir registro
require_once $GLOBALS['baseDir'] . 'includes/modal/excluir-registro.php';

echo Form::open($GLOBALS['baseUrl'] . '?i=cms-' . $direct . '-processo&t=editar', array('name' => 'form', 'id' => 'form', 'class' => 'form bg clearfix'));

    echo Form::hidden('id', $obj->id);
    echo Form::hidden('img_old', $obj->imagem);

    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Nome: *</p>';
            echo Form::text('', 'nome', $obj->nome, 255, array('class' => 'dois'));
        echo '</div>';

        echo '<div class="col-md-2">';
            echo '<p>Slug: <small>(Caso deixe em branco, gera automático)</small></p>';
            echo Form::text('', 'slug', $obj->slug, 255, array('class' => 'dois'));
        echo '</div>';
    echo '</div>';
 
    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Categoria: </p>';
            $catSelect =  ($obj->categoria )  ? $obj->categoria->id : '' ;
            echo Form::select('', 'categoria', Categoria::arraySelect(), $catSelect, array('class' => 'dois select hide-search'));
        echo '</div>';

    echo '</div>';

    echo '<div>';
        echo '<p>Imagem: <small>(Dimensão ideal 244 x 244 pixels / Peso máximo 2Mb)</small></p>';
        echo '<div class="upload um">';
            echo '<span id="file" title="Campo Obrigátorio">Nenhuma imagem selecionada</span>';
            echo '<div id="upload">';
                echo '<span id="btFile" class="sprite">escolher imagem</span>';
                echo Form::file('', 'imagem[]', false, array('class' => 'imagem'));
            echo '</div>';
        echo '</div>';
    echo '</div>';

    echo '<div class="clear">';
        echo '<div class="col-md-2">';

    if ($obj->imagem) :
?>
        <a href="<?php echo Util::baseUrl().'cms/externos/qrcode/full/'.$obj->imagem;?>" target="_blank"><img src="<?php echo Util::baseUrl().'cms/externos/qrcode/full/'.$obj->imagem;?>" width="100"></a>
<?php
    endif;
        echo '</div>';
    echo '</div>';

    echo '<div class="clear"></div>';

    echo Form::button('Salvar', array('class' => 'salvar'));
    echo Form::button('Voltar', array('class' => 'voltar', 'onclick' => "window.location='?i=cms-$direct';"));

echo Form::close();
?>

<script>
$('#busca').css('display', 'none');

$(".salvar").click(function() {
    var validacao = validaCampos('nome');

    if (validacao == true) {
        $(this).html('Enviando..');
        $(this).prop('disabled', true);
        $("#form").submit();
    }
});
</script>
